<template src="./template.html"></template>
<script lang="ts">
import {
  Component,
  getModule,
  Prop,
  Vue,
  Watch,
} from "nuxt-property-decorator";

import { apiErrorHandler, redirectPage } from "~/utils/apiHanlers";
import { api } from "~/common/constaint";
@Component({})
export default class SellerStoreTemplateComponent extends Vue {
  get templateType() {
    return this.$store.state.sellerStore?.store?.store?.templateType || "1";
  }
  set templateType(val: any) {
    this.$store.commit("sellerStore/setStoreStore", { templateType: val });
  }
}
</script>
